summaryrefslogtreecommitdiff
path: root/debian/libpam-runtime.postinst
diff options
context:
space:
mode:
authorSteve Langasek <vorlon@debian.org>2019-01-02 12:24:44 -0800
committerSteve Langasek <vorlon@debian.org>2019-01-02 12:27:24 -0800
commita6f4ab0bebc76acf85cc0244bd21c1036009c28c (patch)
treedf0d6a57d2b91ab9038e8d7b0d62f28c2daa66db /debian/libpam-runtime.postinst
parent10b6243f4664747e815372070142d6c5853176da (diff)
fix-up commit for grafting svn history onto git history
Diffstat (limited to 'debian/libpam-runtime.postinst')
-rw-r--r--debian/libpam-runtime.postinst21
1 files changed, 21 insertions, 0 deletions
diff --git a/debian/libpam-runtime.postinst b/debian/libpam-runtime.postinst
new file mode 100644
index 00000000..5a734671
--- /dev/null
+++ b/debian/libpam-runtime.postinst
@@ -0,0 +1,21 @@
+#!/bin/sh -e
+
+# If the user has removed the config file, respect this sign of dementia
+# -- only create on package install.
+
+if [ -z "$2" ] || dpkg --compare-versions "$2" lt 0.76-17
+then
+ for configfile in common-auth common-account common-session \
+ common-password
+ do
+ if [ ! -f /etc/pam.d/$configfile ] || \
+ fgrep -q `md5sum /etc/pam.d/$configfile` \
+ /usr/share/pam/$configfile.md5sums 2>/dev/null
+ then
+ cp /usr/share/pam/$configfile /etc/pam.d/
+ fi
+ done
+ rm -f /etc/pam.d/other.pre-upgrade 2>/dev/null || true
+fi
+
+#DEBHELPER#